%define name    dzen2
%define version 0.8.5
%define release %mkrel 1


Name:       %{name}
Summary:    A general purpose messaging and notification program
Version:    %{version}
Release:    %{release}
Group:          System/X11
License:        MIT
URL:            http://gotmor.googlepages.com/dzen
Source0:        http://gotmor.googlepages.com/%{name}-latest.tar.gz
Source1:        dzen2.1
Source2:        dzen2-dbar.1
Source3:        dzen2-gcpubar.1
Source4:        dzen2-gdbar.1
Source5:        dzen2-textwidth.1
Patch0:         dzen2-0.8.5-check_environment.patch
Patch1:         dzen2-0.8.5-verbose.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libxpm-devel libxinerama-devel
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
Dzen is a general purpose messaging, notification and menuing program for X11.
It was desigend to be scriptable in any language and integrate well with window
managers like dwm, wmii and xmonad though it will work with any windowmanger.


%prep
%setup -q
%patch0 -p1 -b .check_environment
%patch1 -p1 -b .verbose


%build
make %{?_smp_mflags} DZEN_XINERAMA=1 DZEN_XPM=1
make -C gadgets %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
export CFLAGS="${RPM_OPT_FLAGS}"
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} DZEN_XINERAMA=1 DZEN_XPM=1
make -C gadgets install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}
for gadget in dbar gcpubar gdbar textwidth
do
mv $RPM_BUILD_ROOT%{_bindir}/{,dzen2-}"${gadget}"
done

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
for manpage in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5}
do
install -m 0644 "${manpage}" $RPM_BUILD_ROOT%{_mandir}/man1/"${manpage##*/}"
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE CREDITS README README.dzen
%doc gadgets/README.*
%{_bindir}/dzen2
%{_bindir}/dzen2-dbar
%{_bindir}/dzen2-gcpubar
%{_bindir}/dzen2-gdbar
%{_bindir}/dzen2-textwidth
%{_mandir}/man1/dzen2.1*
%{_mandir}/man1/dzen2-dbar.1*
%{_mandir}/man1/dzen2-gcpubar.1*
%{_mandir}/man1/dzen2-gdbar.1*
%{_mandir}/man1/dzen2-textwidth.1*


%changelog
* Thu Dec 10 2009 pcserver <pcserver at hush.com> 0.8.5-1pclos2010
- create package from source Tim

